#= Template File for "Config.mk", build configuration of dcpam (autoconf)
#
# Authors::   Yasuhiro MORIKAWA, Masaki ISHIWATARI
# Version::   $Id: Config.mk.in,v 1.21 2014/07/15 08:36:11 dcpam Exp $
# Tag Name::  $Name:  $
# Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
# License::   See COPYRIGHT[link:COPYRIGHT]
#
#== Overview
#
# This file is template file to create "Config.mk" by
# autoconf 2.59. Some functions are defined in "aclocal.m4"
# (for example, DC_ARG_WITH).
#
# [JAPANESE]
# このファイルは Makefile 群から呼び出される設定ファイル "Config.mk"
# の雛形ファイルです. configure スクリプトによってこのファイル内の
# 一部 (@ で囲まれた変数) が置き換えられ, "Config.mk" が生成されます.
# configure は configure.in と aclocal.m4 に autoconf コマンドを
# 用いることで生成されます.
#
############################################################

############################################################
#== for Debian install
#
# [JAPANESE] Debian インストール用
#
DESTDIR = 

############################################################
#== Fortran Compiler
#
# [JAPANESE] Fortran コンパイラ
#
FC=@FC@

# Flags needed when compiled and linked
# [JAPANESE] コンパイル時・リンク時に必要なフラグ
SYSFFLAGS=@SYSFFLAGS@

# Flags needed when linked
# [JAPANESE] リンク時に必要なフラグ
SYSLDFLAGS=@SYSLDFLAGS@

# Libraries needed when linked
# [JAPANESE] リンク時に必要なライブラリ
SYSLDLIBS=@SYSLDLIBS@

# Flags for C preprocessor
# [JAPANESE] Cプリプロセッサのフラグ
CPPFLAGS=@CPPFLAGS@
###CPPFLAGS=-DLIB_SATURATE_NHA1992 -DLIB_SATURATE_T1930

# MPI executable command
#   + an option for number of nodes + an option for number of processes
# [JAPANESE] MPI 実行コマンド
#              + ノード数指定オプション + プロセス数指定オプション
MPIEXEC=@MPIEXEC@
MPIEXECPROCOPT=@MPIEXECPROCOPT@
MPIEXECNODEOPT=@MPIEXECNODEOPT@

# Linker which includes flags
# [JAPANESE] リンカコマンド
LINKF=@LINKF@

# Host type
# [JAPANESE] ホストシステムのタイプ
HOST_CPU=@HOST_CPU@

# Cross-compile
# [JAPANESE] クロスコンパイル
CROSS_COMPILING=@CROSS_COMPILING@

# Information of Modules (std.mod, HP.mod, fqs.mod, intel.d, hitachi.f90)
# [JAPANESE] モジュール情報の渡し方
F90MODTYPE=@F90MODTYPE@

# Flag for module files search path
# [JAPANESE] モジュール情報ファイルへのパスを指定するためのフラグ
MODPATHFLAG=@MODPATHFLAG@

#
# Extensions of Module Files used when "make clean"
# * if "F90MODTYPE = hitachi.f90", clean nothing.
#
# [JAPANESE]
# make clean 時に使用するモジュール情報ファイル指定
# (F90MODTYPE = hitachi.f90 のときは何も消してはならない)
#
CLEAN_MODS=@CLEAN_MODS@
MODSUFFIX=@MODSUFFIX@
MODFILE=`basename $@ .o`$(MODSUFFIX)

############################################################
#== library name lib$(LIBNAME).a
#
# [JAPANESE] ライブラリ名 lib$(LIBNAME).a
#
LIBNAME		= @dcpam_lib_name@@dcpam_lib_suffix@
DCPAMLIB	= lib$(LIBNAME).a

############################################################
#== Directory to which the all files are archived
#
# DIRDEPTH is set in each Makefile
#
# [JAPANESE] アーカイブを行うためのディレクトリ
#
# DIRDEPTH は各 Makefile で設定されます. 
#
MODDIR		= $(DIRDEPTH)/include
LIBDIR		= $(DIRDEPTH)/lib
BINDIR		= $(DIRDEPTH)/bin
DOCDIR		= $(DIRDEPTH)/doc

############################################################
#== Directory to which the all files are installed
#
# [JAPANESE] インストール先のディレクトリ
#
prefix		= @prefix@@dcpam_dst_suffix@
exec_prefix	= @exec_prefix@
dcpam_bin_suffix= @dcpam_bin_suffix@

INSTMODDIR	= $(DESTDIR)@includedir@
INSTLIBDIR	= $(DESTDIR)@libdir@
INSTBINDIR	= $(DESTDIR)@bindir@
INSTDOCDIR	= $(DESTDIR)@docdir@
INSTSHAREDIR	= $(DESTDIR)@datarootdir@

############################################################
#== URL of COPYRIGHT (for latex2html)
#
# [JAPANESE] COPYRIGHT の URL (latex2html で使用).
#
COPYRIGHTURL	=http://www.gfd-dennou.org/library/dcpam/dcpam5/dcpam5\\\\_latest/COPYRIGHT

############################################################
#== Tools for build
#
# [JAPANESE] ビルド用のツール
#
RUBY		= @RUBY@   # Ruby 1.8 or more
PERL		= @PERL@
SH		= @BASH@
SCRIPTDIR	= $(DIRDEPTH)/script
SCRIPTF90	= $(SCRIPTDIR)/f90
SCRIPTLATEX2HTML= $(SCRIPTDIR)/latex2html
F90DEPEND	= @F90DEPEND@
F90DEPENDOPTS	= -q #-S -v
CVSTAG2LATEX	= $(SCRIPTDIR)/rd/cvstag2latex.rb

############################################################
#== Settings for test
#
# [JAPANESE] テスト用設定
#
TESTLOG		= xtest.log

############################################################
#== Set Commands for compile and install source code
#
# Please edit according to your system.
#
# [JAPANESE] コンパイルやインストールに必要なコマンド群
#
# システムに合わせて変更してください.
#
MV         = mv -f
CP         = cp -p
SH         = sh
INSTALL    = @INSTALL@
INSTALLBIN = @INSTALLBIN@
INSTALLDIR = @INSTALLDIR@
MKDIR      = @MKDIR@
DIRNAME    = dirname
BASENAME   = basename
TOUCH      = touch
RM         = rm -fv
RMDIR      = rmdir -v
GUNZIP     = gunzip     # decompression  (equal to "gzip -d")
TEE        = tee        # tee command
MAKE       = @MAKE@     # GNU Make
AR         = @AR@       # AR : Library builder specification
ARFLAGS    = @ARFLAGS@  # flags of AR
RANLIB     = @RANLIB@   # generate index to archivea
NCDUMP     = @NCDUMP@   # netCDF file dump command

############################################################
#== Set Commands for development
#
# [JAPANESE] 開発に用いる際のコマンド
#
TAGS		= etags --regex='/\ *module.*\|\ *interface.*\|\ *type\ .*\|\ *function\ .*\|\ *MODULE.*\|\ *INTERFACE.*\|\ *TYPE\ .*\|\ *FUNCTION\ .*/'


############################################################
#== Path to CSS etc
#
# [JAPANESE] スタイルシートファイルなどへのパス
#
CSSPATH		= $(DIRDEPTH)/htmltools/dcpam.css
EMAIL_PNG	= $(DIRDEPTH)/htmltools/dcstaff_email.png


############################################################
#== Set Commands for documentations
#
# [JAPANESE] ドキュメント生成に必要なコマンド
#
RD2		= rd2      # for Generation RD documents
#RDOC		= rdoc     # for Generation RDOC documents
RDOC		= rdoc-f95     # for Generation RDOC documents
RDOCOPTS	= -U --title "dcpam5 Reference Manual" \
		  --charset utf-8 --inline-source --ignore-case --all
JLATEX		= platex   # for Generation DVI documents
DVI2PDF		= dvipdfmx # for Generation PDF documents
DVI2JPS		= dvi2ps   # for Generation PS documents
LPR		= lpr -s   # for Print out

#=== latex2html_jp for Dennou.sty
#
# latex2html_jp+dennou is available from
# http://www.gfd-dennou.org/arch/cc-env/latex2html/SIGEN.htm
#
# [JAPANESE] latex2html_jp+dennnou を利用する際に必要な設定
#
# latex2html_jp+dennou は以下の URL から取得できます.
# http://www.gfd-dennou.org/arch/cc-env/latex2html/SIGEN.htm
#
LATEX2HTML = latex2html
LATEX2HTMLOPTIONS = $(LATEX2HTMLDEBUG) \
	-init_file $(SCRIPTLATEX2HTML)/latex2html-init.pl \
	-no_footnode -local_icons -short_extn \
	-bottom_navigation -no_contents_in_navigation -no_auto_link \
	-up_url $(HREFTOPDIR)/index.htm -up_title $(HREFTOPDIRNAME) \
	-split 3 -show_section_numbers -dir $(TARGETHTMDIR) 
